:root {
    --main-bg-color: #2e2e2e;
    --main-font-color: #8AC6FF;
    --vid-wrap-bg-color: #2a2a2a;
}

* {
    font-family: 'Montserrat', sans-serif;
    text-align: center;
    transition: all .5s;
}

body {
    background-color: var(--main-bg-color);
}

h1, h2, a, p {
    color: var(--main-font-color);
}

h1 {
    font-size: 3em;
}

h1:hover {
    letter-spacing: .3em;
}

h2 {
    opacity: .8;
}

a {
    opacity: .5;
    text-decoration: none;
    border-bottom: 1px solid var(--main-font-color);
    padding: 3px;
}

a:hover {
    opacity: .9;
}

#all-vids {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.vid-wrap {
    background-color: var(--vid-wrap-bg-color);
    padding: 5px;
    margin: 20px;
    border-radius: 5px;
    flex-grow: 1;
    flex-basis: 30%;
}

.vid-wrap:hover {
    -webkit-box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.25);
    -moz-box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.25);
    box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.25);
}

.vid-wrap:hover > h2 {
    letter-spacing: .1rem;
}